Bug 119138 - FILEOPEN XLSX: Chart titles missing (comment 3)
Summary: FILEOPEN XLSX: Chart titles missing (comment 3)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
4.3.0.4 release
Hardware: All All
: medium normal
Assignee: Gabor Kelemen (allotropia)
URL:
Whiteboard: target:7.0.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: OOXML-Chart
  Show dependency treegraph
 
Reported: 2018-08-07 09:13 UTC by Jason Fuller
Modified: 2020-02-14 16:34 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Fuller 2018-08-07 09:13:01 UTC
Description:
The main heading of charts formatted per OOXML is not being displayed in LibreOffice, but appear in other viewers.



Steps to Reproduce:
1. Copy the python demo script from here into a text file and save it as a .py (I chose demo.py)  (install python and the openpyxl module if you don't already have it)
2. Run the script python /path/to/file/demo.py
3. Open scatter.xlsx

Actual Results:
For a picture of the resulting output see: https://stackoverflow.com/questions/51717670/openpyxl-chart-title-chart-heading-not-functional-how-do-i-add-the-heading/

Expected Results:
The output shown on the demo documentation: https://openpyxl.readthedocs.io/en/stable/charts/scatter.html


Reproducible: Always


User Profile Reset: No


OpenGL enabled: Yes

Additional Info:
Comment 1 Xisco Faulí 2018-08-08 09:13:43 UTC Comment hidden (obsolete)
Comment 2 QA Administrators 2019-09-02 09:31:17 UTC Comment hidden (obsolete)
Comment 3 Timur 2019-09-16 13:02:45 UTC
This bug report could be invalid, but I'll assume that's the same as following:
- open XLSX attachment 152445 [details] from bug 126133
- see comparison attachment 152593 [details] that titles are missing
I'll set as New. 
No repro LO 4.3, repro LO 4.4 and LO 6.4+. Regression.
Comment 4 raal 2019-09-16 20:07:10 UTC
This seems to have begun at the below commit.
Adding Cc: to Markus Mohrhard ; Could you possibly take a look at this one?
Thanks
 56461c7f4178657f16ad7f4c761623bd4ead96f4 is the first bad commit
commit 56461c7f4178657f16ad7f4c761623bd4ead96f4
Author: Matthew Francis <mjay.francis@gmail.com>
Date:   Sat Mar 14 21:48:59 2015 +0800

    source-hash-2f74e52a6efe7a51d6575cbb9b5f30b1ad99ee7c
    
    commit 2f74e52a6efe7a51d6575cbb9b5f30b1ad99ee7c
    Author:     Markus Mohrhard <markus.mohrhard@collabora.co.uk>
    AuthorDate: Sun Jun 22 04:47:36 2014 +0200
    Commit:     Markus Mohrhard <markus.mohrhard@collabora.co.uk>
    CommitDate: Sun Jun 22 05:05:01 2014 +0200
    
        use the correct default value, fdo#78080
Comment 5 Timur 2019-09-17 08:34:53 UTC
(In reply to Timur from comment #3)
> No repro LO 4.3
Actually no repro 4.3-beta but repro 4.3.0. Thanks raal.
Comment 6 Xisco Faulí 2019-09-19 14:05:28 UTC
Issue from LibreOffice 4.3. No need for a high severity at this point...
Comment 7 Gabor Kelemen (allotropia) 2020-02-06 23:06:34 UTC
Proposed patch: https://gerrit.libreoffice.org/c/core/+/88151
Comment 8 Commit Notification 2020-02-13 08:55:34 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/176e06c116db09cae5781522461390da87632953

tdf#119138 Show custom chart title if autoTitleDeleted is missing

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Timur 2020-02-14 16:34:45 UTC
Verified.
Gabor, thanks and please always comment on which backport you're planning.